program testarss;

uses
  dvwin,
  dvcrt,
  dvform,
  sysUtils,
  libXmlParser,
  nerss;

var
    canal: TRss;
    nomeArq: string;

procedure exibeCanalInterat (canal: TRss);
var i: integer;
begin
    sintWrite  ('Verifique o que veio');
    sintWriteln (' (com ' + intToStr (length(canal.items)) + ' itens)');
    formCria;
    with canal do
        begin
            formCampo('', 'title',          title, 255);
            formCampo('', 'link',           link, 255);
            //formCampo('', 'description',    description, 255);
            formCampo('', 'language',       language, 255);
            formCampo('', 'copyright',      copyright, 255);
            formCampo('', 'managingEditor', managingEditor, 255);
            formCampo('', 'webMaster',      webMaster, 255);
            formCampo('', 'pubDate',        pubDate, 255);
            formCampo('', 'lastBuildDate',  lastBuildDate, 255);
            formCampo('', 'category',       category, 255);
            formCampo('', 'generator',      generator, 255);
            formCampo('', 'docs',           docs, 255);
            formCampo('', 'cloud',          cloud, 255);
            formCampoInt ('', 'ttl',        ttl);
            formCampo('', 'image',          image.title, 255);
            formCampo('', 'rating',         rating, 255);
            formCampo('', 'textInput',      textInput, 255);
            formCampo('', 'skipHours',      skipHours, 255);
            formCampo('', 'skipDays',       skipDays, 255);
        end;
    formEdita(false);

    for i := 0 to length(canal.items)-1 do
        begin
            clrscr;
            writeln ('item: ', i);
            formCria;
            with canal.items[i] do
                begin
                    formCampo('', 'title', title, 255);
                    formCampo('', 'link', link, 255);
                    //formCampo('', 'description', description, 255);
                    formCampo('', 'author', author, 255);
                    formCampo('', 'category', category, 255);
                    formCampo('', 'comments', comments, 255);
                    formCampo('', 'enclosure', enclosure, 255);
                    formCampo('', 'guid', guid, 255);
                    formCampo('', 'pubDate', pubdate, 255);
                    formCampo('', 'source', source, 255);
                end;

            formEdita(false);
        end;
end;

begin
    sintInic (0, '');
    sintWriteln ('Testando RSS');

    sintWriteLn ('Informe o nome do arquivo xml:');
    sintReadln (nomeArq);

    inicXmlParser (nomeArq);
    if not ehArquivoRss then
        begin
            sintWriteln('Desculpe, mas isso no  um arquivo Rss vlido.');
            sintWriteln ('Programa cancelado.');
            sintFim;
            halt;
        end;

    if carregaRss (canal) then
        exibeCanalInterat (canal)
    else
        sintWriteln ('No compilou');

    sintfim;
end.

